Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jbosscommon51
Class EjbLocalRefTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jbosscommon51.EjbLocalRefTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, EjbLocalRefType<T>

    public class EjbLocalRefTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, EjbLocalRefType<T>

This class implements the `ejb-local-refType` xsd type

Original Documentation:

The ejb-local-ref element is used to give the jndi-name of an external ejb
reference. In the case of an external ejb reference, you don't provide a ejb-link element in
ejb-jar.xml, but you provide a jndi-name in jboss.xml

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`EjbLocalRefTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`EjbLocalRefTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.lang.String` | `getEjbLink()` Returns the `ejb-link` element
`java.lang.String` | `getEjbRefName()` Returns the `ejb-ref-name` element
`EjbRefTypeType` | `getEjbRefType()` Returns the `ejb-ref-type` element
`java.lang.String` | `getEjbRefTypeAsString()` Returns the `ejb-ref-type` element
`java.util.List<InjectionTargetType<EjbLocalRefType<T>>>` | `getInjectionTargetList()` Returns all `injection-target` elements
`java.lang.String` | `getJndiName()` Returns the `jndi-name` element
`java.lang.String` | `getLocal()` Returns the `local` element
`java.lang.String` | `getLocalHome()` Returns the `local-home` element
`java.lang.String` | `getLocalJndiName()` Returns the `local-jndi-name` element
`java.lang.String` | `getMappedName()` Returns the `mapped-name` element
`EjbLocalRefType<T>` | `ignoreDependency()`
`InjectionTargetType<EjbLocalRefType<T>>` | `injectionTarget()` Returns the `injection-target` element
`java.lang.Boolean` | `isIgnoreDependency()`
`EjbLocalRefType<T>` | `removeAllDescription()` Removes the `description` element
`EjbLocalRefType<T>` | `removeAllInjectionTarget()` Removes all `injection-target` elements
`EjbLocalRefType<T>` | `removeEjbLink()` Removes the `ejb-link` element
`EjbLocalRefType<T>` | `removeEjbRefName()` Removes the `ejb-ref-name` element
`EjbLocalRefType<T>` | `removeJndiName()` Removes the `jndi-name` element
`EjbLocalRefType<T>` | `removeLocal()` Removes the `local` element
`EjbLocalRefType<T>` | `removeLocalHome()` Removes the `local-home` element
`EjbLocalRefType<T>` | `removeLocalJndiName()` Removes the `local-jndi-name` element
`EjbLocalRefType<T>` | `removeMappedName()` Removes the `mapped-name` element
`EjbLocalRefType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`EjbLocalRefType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`EjbLocalRefType<T>` | `setEjbLink(java.lang.String ejbLink)` If not already created, a new `ejb-link` element with the given value will be created.
`EjbLocalRefType<T>` | `setEjbRefName(java.lang.String ejbRefName)` If not already created, a new `ejb-ref-name` element with the given value will be created.
`EjbLocalRefType<T>` | `setEjbRefType(EjbRefTypeType ejbRefType)` If not already created, a new `ejb-ref-type` element with the given value will be created.
`EjbLocalRefType<T>` | `setEjbRefType(java.lang.String ejbRefType)` If not already created, a new `ejb-ref-type` element with the given value will be created.
`EjbLocalRefType<T>` | `setJndiName(java.lang.String jndiName)` If not already created, a new `jndi-name` element with the given value will be created.
`EjbLocalRefType<T>` | `setLocal(java.lang.String local)` If not already created, a new `local` element with the given value will be created.
`EjbLocalRefType<T>` | `setLocalHome(java.lang.String localHome)` If not already created, a new `local-home` element with the given value will be created.
`EjbLocalRefType<T>` | `setLocalJndiName(java.lang.String localJndiName)` If not already created, a new `local-jndi-name` element with the given value will be created.
`EjbLocalRefType<T>` | `setMappedName(java.lang.String mappedName)` If not already created, a new `mapped-name` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EjbLocalRefTypeImpl

    public EjbLocalRefTypeImpl(T t,
                               java.lang.String nodeName,
                               org.jboss.shrinkwrap.descriptor.spi.Node node)

### EjbLocalRefTypeImpl

    public EjbLocalRefTypeImpl(T t,
                               java.lang.String nodeName,
                               org.jboss.shrinkwrap.descriptor.spi.Node node,
                               org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setJndiName

    public EjbLocalRefType<T> setJndiName(java.lang.String jndiName)

  If not already created, a new `jndi-name` element with the given value will be created. Otherwise, the existing `jndi-name` element will be updated with the given value.

  Specified by:
    `setJndiName` in interface `EjbLocalRefType<T>`
  Returns:
    the current instance of `EjbLocalRefType`

### removeJndiName

    public EjbLocalRefType<T> removeJndiName()

  Removes the `jndi-name` element

  Specified by:
    `removeJndiName` in interface `EjbLocalRefType<T>`
  Returns:
    the current instance of `EjbLocalRefType`

### getJndiName

    public java.lang.String getJndiName()

  Returns the `jndi-name` element

  Specified by:
    `getJndiName` in interface `EjbLocalRefType<T>`
  Returns:
    the node defined for the element `jndi-name`

### setMappedName

    public EjbLocalRefType<T> setMappedName(java.lang.String mappedName)

  If not already created, a new `mapped-name` element with the given value will be created. Otherwise, the existing `mapped-name` element will be updated with the given value.

  Specified by:
    `setMappedName` in interface `EjbLocalRefType<T>`
  Returns:
    the current instance of `EjbLocalRefType`

### removeMappedName

    public EjbLocalRefType<T> removeMappedName()

  Removes the `mapped-name` element

  Specified by:
    `removeMappedName` in interface `EjbLocalRefType<T>`
  Returns:
    the current instance of `EjbLocalRefType`

### getMappedName

    public java.lang.String getMappedName()

  Returns the `mapped-name` element

  Specified by:
    `getMappedName` in interface `EjbLocalRefType<T>`
  Returns:
    the node defined for the element `mapped-name`

### removeAllInjectionTarget

    public EjbLocalRefType<T> removeAllInjectionTarget()

  Removes all `injection-target` elements

  Specified by:
    `removeAllInjectionTarget` in interface `EjbLocalRefType<T>`
  Returns:
    the current instance of `EjbLocalRefType`

### injectionTarget

    public InjectionTargetType<EjbLocalRefType<T>> injectionTarget()

  Returns the `injection-target` element

  Specified by:
    `injectionTarget` in interface `EjbLocalRefType<T>`
  Returns:
    the node defined for the element `injection-target`

### getInjectionTargetList

    public java.util.List<InjectionTargetType<EjbLocalRefType<T>>> getInjectionTargetList()

  Returns all `injection-target` elements

  Specified by:
    `getInjectionTargetList` in interface `EjbLocalRefType<T>`
  Returns:
    list of `injection-target`

### ignoreDependency

    public EjbLocalRefType<T> ignoreDependency()

  Specified by:
    `ignoreDependency` in interface `EjbLocalRefType<T>`

### isIgnoreDependency

    public java.lang.Boolean isIgnoreDependency()

  Specified by:
    `isIgnoreDependency` in interface `EjbLocalRefType<T>`

### setDescription

    public EjbLocalRefType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `EjbLocalRefType<T>`
  Returns:
    the current instance of `EjbLocalRefType`

### setDescriptionList

    public EjbLocalRefType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `EjbLocalRefType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `EjbLocalRefType`

### removeAllDescription

    public EjbLocalRefType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `EjbLocalRefType<T>`
  Returns:
    the current instance of `EjbLocalRefType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `EjbLocalRefType<T>`
  Returns:
    list of `description`

### setEjbRefName

    public EjbLocalRefType<T> setEjbRefName(java.lang.String ejbRefName)

  If not already created, a new `ejb-ref-name` element with the given value will be created. Otherwise, the existing `ejb-ref-name` element will be updated with the given value.

  Specified by:
    `setEjbRefName` in interface `EjbLocalRefType<T>`
  Returns:
    the current instance of `EjbLocalRefType`

### removeEjbRefName

    public EjbLocalRefType<T> removeEjbRefName()

  Removes the `ejb-ref-name` element

  Specified by:
    `removeEjbRefName` in interface `EjbLocalRefType<T>`
  Returns:
    the current instance of `EjbLocalRefType`

### getEjbRefName

    public java.lang.String getEjbRefName()

  Returns the `ejb-ref-name` element

  Specified by:
    `getEjbRefName` in interface `EjbLocalRefType<T>`
  Returns:
    the node defined for the element `ejb-ref-name`

### setEjbRefType

    public EjbLocalRefType<T> setEjbRefType(EjbRefTypeType ejbRefType)

  If not already created, a new `ejb-ref-type` element with the given value will be created. Otherwise, the existing `ejb-ref-type` element will be updated with the given value.

  Specified by:
    `setEjbRefType` in interface `EjbLocalRefType<T>`
  Returns:
    the current instance of `EjbLocalRefType`

### setEjbRefType

    public EjbLocalRefType<T> setEjbRefType(java.lang.String ejbRefType)

  If not already created, a new `ejb-ref-type` element with the given value will be created. Otherwise, the existing `ejb-ref-type` element will be updated with the given value.

  Specified by:
    `setEjbRefType` in interface `EjbLocalRefType<T>`
  Returns:
    the current instance of `EjbLocalRefType`

### getEjbRefType

    public EjbRefTypeType getEjbRefType()

  Returns the `ejb-ref-type` element

  Specified by:
    `getEjbRefType` in interface `EjbLocalRefType<T>`
  Returns:
    the node defined for the element `ejb-ref-type`

### getEjbRefTypeAsString

    public java.lang.String getEjbRefTypeAsString()

  Returns the `ejb-ref-type` element

  Specified by:
    `getEjbRefTypeAsString` in interface `EjbLocalRefType<T>`
  Returns:
    the node defined for the element `ejb-ref-type`

### setLocalHome

    public EjbLocalRefType<T> setLocalHome(java.lang.String localHome)

  If not already created, a new `local-home` element with the given value will be created. Otherwise, the existing `local-home` element will be updated with the given value.

  Specified by:
    `setLocalHome` in interface `EjbLocalRefType<T>`
  Returns:
    the current instance of `EjbLocalRefType`

### removeLocalHome

    public EjbLocalRefType<T> removeLocalHome()

  Removes the `local-home` element

  Specified by:
    `removeLocalHome` in interface `EjbLocalRefType<T>`
  Returns:
    the current instance of `EjbLocalRefType`

### getLocalHome

    public java.lang.String getLocalHome()

  Returns the `local-home` element

  Specified by:
    `getLocalHome` in interface `EjbLocalRefType<T>`
  Returns:
    the node defined for the element `local-home`

### setLocal

    public EjbLocalRefType<T> setLocal(java.lang.String local)

  If not already created, a new `local` element with the given value will be created. Otherwise, the existing `local` element will be updated with the given value.

  Specified by:
    `setLocal` in interface `EjbLocalRefType<T>`
  Returns:
    the current instance of `EjbLocalRefType`

### removeLocal

    public EjbLocalRefType<T> removeLocal()

  Removes the `local` element

  Specified by:
    `removeLocal` in interface `EjbLocalRefType<T>`
  Returns:
    the current instance of `EjbLocalRefType`

### getLocal

    public java.lang.String getLocal()

  Returns the `local` element

  Specified by:
    `getLocal` in interface `EjbLocalRefType<T>`
  Returns:
    the node defined for the element `local`

### setEjbLink

    public EjbLocalRefType<T> setEjbLink(java.lang.String ejbLink)

  If not already created, a new `ejb-link` element with the given value will be created. Otherwise, the existing `ejb-link` element will be updated with the given value.

  Specified by:
    `setEjbLink` in interface `EjbLocalRefType<T>`
  Returns:
    the current instance of `EjbLocalRefType`

### removeEjbLink

    public EjbLocalRefType<T> removeEjbLink()

  Removes the `ejb-link` element

  Specified by:
    `removeEjbLink` in interface `EjbLocalRefType<T>`
  Returns:
    the current instance of `EjbLocalRefType`

### getEjbLink

    public java.lang.String getEjbLink()

  Returns the `ejb-link` element

  Specified by:
    `getEjbLink` in interface `EjbLocalRefType<T>`
  Returns:
    the node defined for the element `ejb-link`

### setLocalJndiName

    public EjbLocalRefType<T> setLocalJndiName(java.lang.String localJndiName)

  If not already created, a new `local-jndi-name` element with the given value will be created. Otherwise, the existing `local-jndi-name` element will be updated with the given value.

  Specified by:
    `setLocalJndiName` in interface `EjbLocalRefType<T>`
  Returns:
    the current instance of `EjbLocalRefType`

### removeLocalJndiName

    public EjbLocalRefType<T> removeLocalJndiName()

  Removes the `local-jndi-name` element

  Specified by:
    `removeLocalJndiName` in interface `EjbLocalRefType<T>`
  Returns:
    the current instance of `EjbLocalRefType`

### getLocalJndiName

    public java.lang.String getLocalJndiName()

  Returns the `local-jndi-name` element

  Specified by:
    `getLocalJndiName` in interface `EjbLocalRefType<T>`
  Returns:
    the node defined for the element `local-jndi-name`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD